Name:		irker
Version:	2.24
Release:	%mkrel 2
Summary:	IRC Message Relay
License:	BSD
Group:		Networking/IRC
URL: 		https://gitlab.com/esr/irker/
Source0:	https://gitlab.com/esr/irker/-/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	xmlto
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(libsystemd)

Requires(post,postun):	rpm-helper
Requires:	python3-irc
Requires:	python3-simplejson

%description
An IRC client that runs as a daemon accepting notification requests as JSON
objects presented to a listening socket. It is meant to be used by hook scripts
in version-control repositories, allowing them to send commit notifications to
project IRC channels.

A hook script that works with git, hg, and svn is included in the distribution.

%prep
%setup -q
%autopatch -p1

# Avoid chowning when running make install
sed -i 's/-o 0 -g 0 //' Makefile

# python shebangs
%py3_shebang_fix *.py irk irkerd

%build
%make_build -j4

%install
%make_install

install -Dpm755 irkerhook.py %{buildroot}%{_prefix}/lib/%{name}/irkerhook.py

%pre
%_pre_useradd %{name} / /bin/false

%post
%_post_service %{name}d

%preun
%_preun_service %{name}d

%postun
%_postun_userdel %{name}

%files
%doc README
%{_bindir}/%{name}*
%{_unitdir}/%{name}*.service
%{_mandir}/man*/irk*
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/%{name}/irkerhook.py*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2.24-2.mga10
+ Revision: 2221421
- Mageia 10 Mass Rebuild
+ wally <wally>
- fix py shebangs in %%prep

* Thu Feb 22 2024 papoteur <papoteur> 2.24-1.mga10
+ Revision: 2043267
- new version 2.24

* Thu Mar 24 2022 umeabot <umeabot> 2.19-3.mga9
+ Revision: 1824444
- Mageia 9 Mass Rebuild

* Fri Apr 23 2021 daviddavid <daviddavid> 2.19-2.mga9
+ Revision: 1718115
- fix build with python 3.9

* Mon Aug 31 2020 daviddavid <daviddavid> 2.19-1.mga8
+ Revision: 1620323
- new version: 2.19
- remove merged upstream patch
- update Url and Source Url

* Mon Feb 17 2020 daviddavid <daviddavid> 2.18-2.mga8
+ Revision: 1536885
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 2.18-1.mga8
+ Revision: 1454047
- backport upstream python3 fixes
- new version: 2.18
- port to python 3

* Tue Sep 18 2018 umeabot <umeabot> 2.11-5.mga7
+ Revision: 1263891
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 2.11-4.mga6
+ Revision: 943891
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.11-3.mga5
+ Revision: 745364
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.11-2.mga5
+ Revision: 680565
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 2.11-1.mga5
+ Revision: 669560
- New version: 2.11

* Tue Oct 22 2013 umeabot <umeabot> 1.15-4.mga4
+ Revision: 545880
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.15-3.mga4
+ Revision: 501939
- include pyc and pyo files in files list

* Sat Jan 12 2013 umeabot <umeabot> 1.15-2.mga3
+ Revision: 354495
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 28 2012 boklm <boklm> 1.15-1.mga3
+ Revision: 335826
- Version 1.15
- Install irkerhook.py in /usr/lib/irker

* Tue Oct 09 2012 colin <colin> 1.9-1.mga3
+ Revision: 303709
- Add systemd-devel BR for .service file
- Add some requires and buildrequires
- imported package irker

